terraform {
  required_providers {
    scaleway = {
      source = "scaleway/scaleway"
    }
  }
  required_version = ">= 0.13"
}

resource "scaleway_k8s_cluster" "terraform-test" {
   name    = "terraform-test"
   version = "1.24.3"
   cni     = "cilium"
   project_id = "81af2696-6120-4f45-baf3-d17fb0525824"
   region = "fr-par"
}

 resource "scaleway_k8s_pool" "john" {
   cluster_id = scaleway_k8s_cluster.terraform-test.id
   name       = "john"
   node_type  = "DEV1-M"
   size       = 1
 }

 resource "null_resource" "kubeconfig" {
  depends_on = [scaleway_k8s_pool.john] # at least one pool here
  triggers = {
    host                   = scaleway_k8s_cluster.terraform-test.kubeconfig[0].host
    token                  = scaleway_k8s_cluster.terraform-test.kubeconfig[0].token
    cluster_ca_certificate = scaleway_k8s_cluster.terraform-test.kubeconfig[0].cluster_ca_certificate
  }
}


provider "kubernetes" {
  load_config_file = "false"

  host  = null_resource.kubeconfig.triggers.host
  token = null_resource.kubeconfig.triggers.token
  cluster_ca_certificate = base64decode(
  null_resource.kubeconfig.triggers.cluster_ca_certificate
  )
}